Subject: bug#37891: [PATCH] Clean up error on wrong major mode in package-menu-mode

From: Stefan Kangas <[email-masked]>
Date: Thu, 07 Nov 2019 04:14:42 +0100

close 37891 27.1
thanks

Stefan Kangas <[email-masked]> writes:

> Four package-menu-mode specific commands currently signal an error if
> called when not in package-menu-mode.  One of them uses 'user-error',
> the others 'error'.  All other commands don't signal an error.
>
> The attached patch makes the behaviour more consistent by:
> 1) Factoring out the error signalling into a new function to make it
> more consistent.
> 2) Calling this function in all other relevant package-mode-menu commands.
>
> Any comments?

No comments in 14 days; now pushed to master as commit ddb797cf4c.

Best regards,
Stefan Kangas